Subject: looking for David S. Mcfalls

From: [email-masked]
Date: Mon, 23 Jan 95 12:53:10 -0500

David, I tried to e-mail to you with no success.  I've tried your E-mail adress
at [email-masked].  What I need is your phone# so I can talk to you about
your Tumble that you'd made.  My phone # is 210-490-6200  Thanks